List sweeps
List sweeps associated with a wallet.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/wallets.read scope.
GET
/accounts/{accountID}/wallets/{walletID}/sweeps
curl -X GET "https://api.moov.io/accounts/{accountID}/wallets/{walletID}/sweeps" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
mc, _ := moov.NewClient()
var accountID string
var walletID string
mc.ListSweeps(ctx, accountID, walletID)
using Moov.Sdk;
using Moov.Sdk.Models.Requests;
var sdk = new MoovClient(xMoovVersion: "<value>");
ListSweepsRequest req = new ListSweepsRequest() {
AccountID = "a227b50c-035d-4b7f-932c-a4b7e02aaf5c",
WalletID = "d01e5b34-b207-4a5c-b249-6e049be6a841",
Skip = 60,
Count = 20,
};
var res = await sdk.Sweeps.ListAsync(req);
// handle responsepackage hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListSweepsRequest;
import io.moov.sdk.models.operations.ListSweepsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListSweepsRequest req = ListSweepsRequest.builder()
.accountID("a227b50c-035d-4b7f-932c-a4b7e02aaf5c")
.walletID("d01e5b34-b207-4a5c-b249-6e049be6a841")
.skip(60L)
.count(20L)
.build();
ListSweepsResponse res = sdk.sweeps().list()
.request(req)
.call();
if (res.sweeps().isPresent()) {
// handle response
}
}
}require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
req = Models::Operations::ListSweepsRequest.new(
account_id: 'a227b50c-035d-4b7f-932c-a4b7e02aaf5c',
wallet_id: 'd01e5b34-b207-4a5c-b249-6e049be6a841',
skip: 60,
count: 20,
)
res = s.sweeps.list(request: req)
unless res.sweeps.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.sweeps.list({
accountID: "a227b50c-035d-4b7f-932c-a4b7e02aaf5c",
walletID: "d01e5b34-b207-4a5c-b249-6e049be6a841",
skip: 60,
count: 20,
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$request = new Operations\ListSweepsRequest(
accountID: 'a227b50c-035d-4b7f-932c-a4b7e02aaf5c',
walletID: 'd01e5b34-b207-4a5c-b249-6e049be6a841',
skip: 60,
count: 20,
);
$response = $sdk->sweeps->list(
request: $request
);
if ($response->sweeps !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.sweeps.list(account_id="a227b50c-035d-4b7f-932c-a4b7e02aaf5c", wallet_id="d01e5b34-b207-4a5c-b249-6e049be6a841", skip=60, count=20)
# Handle response
print(res)The request completed successfully.
[
{
"sweepID": "string",
"status": "accruing",
"accruedAmount": "string",
"residualBalance": "string",
"currency": "USD",
"accrualStartedOn": "2019-08-24T14:15:22Z",
"accrualEndedOn": "2019-08-24T14:15:22Z",
"pushPaymentMethodID": "string",
"pullPaymentMethodID": "string",
"transferID": "string",
"transferAmount": "string",
"statementDescriptor": "string",
"subtotals": [
{
"type": "account-funding",
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
]
}
]Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
walletID
string
required
Query parameters
skip
integer
<int64>
count
integer
<int64>
Default:
200status
string
Optional parameter to filter by sweep status.
Possible values:
accruing,
action-required,
canceled,
closed,
failed,
paid
statementDescriptor
string
Optional string to filter by statement descriptor.
Response
accrualEndedOn
string<date-time>
The date-time the sweep stopped accruing transactions.
accrualStartedOn
string<date-time>
The date-time the sweep began accruing transactions.
accruedAmount
string
Pattern
The total net amount of wallet transactions accrued in the sweep.
currency
string
Pattern
A 3-letter ISO 4217 currency code.
pullPaymentMethodID
string
ID of the payment method.
pushPaymentMethodID
string
ID of the payment method.
residualBalance
string
Pattern
Amount remaining in the wallet after the sweep transfer completes.
statementDescriptor
string
[4 to 10] characters
The text that appears on the banking statement. The default descriptor is a 10 character ID if an override is not set in the sweep configs statementDescriptor.
status
string<enum>
Possible values:
accruing,
action-required,
canceled,
closed,
failed,
paid
subtotals
array<object>
The subtotal of each transaction type contributing to the sweep's accrued amount.
Show child attributes
amount
object
The value of transactions of this type accrued in the sweep.
Show child attributes
currency
string
required
Pattern
A 3-letter ISO 4217 currency code.
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
The number of transactions of this type accrued in the sweep.
type
string
The type of wallet transaction the subtotal is for.
Possible values:
account-funding,
ach-reversal,
auto-sweep,
card-payment,
card-decline,
card-reversal,
cash-out,
dispute,
dispute-reversal,
facilitator-fee,
issuing-refund,
issuing-transaction,
issuing-transaction-adjustment,
issuing-auth-hold,
issuing-auth-release,
issuing-decline,
moov-fee,
payment,
payout,
refund,
refund-failure,
rtp-failure,
top-up,
wallet-transfer,
adjustment,
fee-revenue,
residual
sweepID
string
transferAmount
string
Pattern
Amount that is transferred.
transferID
string